Page MenuHomePhabricator

Fix declension in grammar rules for Latin language
Closed, ResolvedPublic

Description

languages/classes/LanguageLa.php needs to be updated in order to allow correct declension of all Wikimedia project names (see la:Usor:UV/MediaWiki l10n/grammar for an overview that shows that the declension for "Vicidata" [= Wikidata] is currently wrong).

Here is what needs to be changed (sorry for not using Git/Gerrit, setting all this Git/Gerrit stuff up is way too much overhead for me to get this simple bug fixed):

change line 56
from
'/libri$/', '/nuntii$/', # 2nd declension plural (partly)
to
'/libri$/', '/nuntii$/', '/datae$/', # 2nd declension plural (partly)

change line 64
from
'librorum', 'nuntiorum',
to
'librorum', 'nuntiorum', 'datorum',

change line 75
from
'/libri$/', '/nuntii$/', # 2nd declension plural (partly)
to
'/libri$/', '/nuntii$/', '/datam$/', # 2nd declension plural (partly)

change line 83
from
'libros', 'nuntios',
to
'libros', 'nuntios', 'data',

change line 94
from
'/libri$/', '/nuntii$/', # 2nd declension plural (partly)
to
'/libri$/', '/nuntii$/', '/data$/', # 2nd declension plural (partly)

change line 102
from
'libris', 'nuntiis',
to
'libris', 'nuntiis', 'datis',

Thanks in advance!

Event Timeline

UV created this task.Dec 20 2015, 10:05 PM
UV raised the priority of this task from to Needs Triage.
UV updated the task description. (Show Details)
UV added a subscriber: UV.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 20 2015, 10:06 PM
Aklapper triaged this task as Low priority.Dec 20 2015, 10:14 PM
Aklapper removed a project: Language-Team.
Aklapper set Security to None.

Thanks for taking a look at the code!
If you don't want to set up Git/Gerrit, you can also use the Gerrit Patch Uploader. Thanks again!

Change 260426 had a related patch set uploaded (by Ebe123):
Fix declension in grammar rules for Latin language

https://gerrit.wikimedia.org/r/260426

Ebe123 claimed this task.Dec 21 2015, 7:52 PM

Change 260426 merged by jenkins-bot:
Fix declension in grammar rules for Latin language

https://gerrit.wikimedia.org/r/260426

Nikerabbit closed this task as Resolved.Jan 29 2016, 2:46 PM
Nikerabbit added a subscriber: Nikerabbit.